# 华盛 Gateway API Python SDK

注: 本 API 支持 Python3.7+ 

## 使用说明

华盛量化 OpenAPI 接口文档：https://quant-open.hstong.com/api-docs/

### 1、准备 Python 开发环境

- 安装 Python：https://www.python.org/downloads/
- 安装 PyCharm（建议）：https://www.jetbrains.com/pycharm/download/

安装 Python 依赖库:

- for Windows：`pip install --upgrade pip, pip install wheel, pip install setuptools`
- for macOS/Linux：`pip3 install --upgrade pip, pip3 install wheel, pip3 install setuptools`

### 2、运行 SDK Demo

- demo 路径：`hs/examples/hs_open_api_demo.py`
- 点击运行 `hs_open_api_demo` 程序，看到控制台输出后可以输入命令测试
```
====================================================
HTTP 请求地址   http://127.0.0.1:11111
TCP 长连接地址  127.0.0.1:11112
OpenAPI在线文档 https://quant-open.hstong.com/api-docs/
Q,q  - 终止
help - 帮助（查看指令）
接口名: query_rate_list                      接口描述: 配置接口-查询汇率列表
接口名: trade_login                          接口描述: 交易接口-交易登录
接口名: query_holds_list                     接口描述: 交易接口-查询持仓股票列表
接口名: trade_subscribe                      接口描述: 交易接口-订阅交易推送消息
...
接口名: query_hq_basic_qot                   接口描述: 行情接口-基础报价
接口名: query_hq_kline                       接口描述: 行情接口-K线数据
接口名: hq_subscribe_basic_qot               接口描述: 行情接口-订阅基础行情推送消息
====================================================
2024-01-01 12:34:56.789 - INFO - Socket client connect: 127.0.0.1:11112 success.
请输入需要查看的接口名:
```

### 3、安装 SDK
```
# for linux/macos
./local_install_build.sh

# for windwos
python setup.py sdist bdist_wheel
pip install ./dist/py-hs-gateway-api-1.0.5.tar.gz
```
