# -*- coding: utf-8 -*-
from dataclasses import dataclass


@dataclass
class ModelResult:
    """API统一返回的模型对象"""
    is_success: bool = False
    code: str = ""
    msg: str = ""
    data: object = None

    def with_model(self, model):
        self.is_success = True
        self.data = model
        return self

    def get_model(self):
        return self.data

    def with_error(self, error_code, error_msg):
        self.is_success = False
        self.code = error_code
        self.msg = error_msg
        return self

    def to_str(self) -> str:
        return "{" + f"is_success: {self.is_success}, code: \"{self.code}\", msg: \"{self.msg}\", data: {self.data}" + "}"


class StatusCode(object):
    """系统/业务状态码"""
    RET_OK = "0000"  # 处理成功
    INVOKE_TIME_OUT = "1015"  # 接口调用超时
    INVOKE_TIME_OUT_DESCRIPTION = "接口调用超时"
    INVOKE_PARAM_INVALID = "1016"  # 接口调用参数不合法
    INVOKE_PARAM_INVALID_DESCRIPTION = "接口调用参数不合法"
