# -*- coding: utf-8 -*-

class FuturesEntrustBs(object):
    """
    交易方向:
    1买入、2卖出
    """
    BUY = "1"  # 买入
    SELL = "2"  # 卖出 


class FuturesEntrustType(object):
    """
    期货委托类型:
    0 限价单、1 竞价单、2 市价单
    """
    LIMIT = "0"  # 限价单
    AUCTION = "1"  # 竞价单
    MARKET = "2"  # 市价单


class FuturesValidTimeType(object):
    """
    期货委托生效类型: 
    0 即日有效、1 成交并取消、2 全额或取消、3 到期日有效、4 指定日期有效
    """
    VALID_TODAY = "0"  # 即日有效
    DEAL_AND_CANCEL = "1"  # 成交并取消
    FULL_OR_CANCEL = "2"  # 全额或取消
    VALID_ON_EXPIRY_DATE = "3"  # 到期日有效
    VALID_ON_SPECIFIED_DATE = "4"  # 指定日期有效


class FuturesOrderOptions(object):
    """
    订单选项:
    0:默认、1:T+1
    """
    DEFAULT = "0"  # 默认
    NEXT_DAY = "1"  # T+1
