# -*- coding: utf-8 -*-


class RateType(object):
    EXCHANGE = "0"  # 换汇汇率
    IMMEDIATE = "1"  # 即期汇率


class ClientType(object):
    """客户端类型"""
    INTERNET = 0  # internet


class ExchangeType(object):
    """交易类型"""
    K = "K"  # 港股
    P = "P"  # 美股
    V = "v"  # 深股通
    T = "t"  # 泸股通


class QueryType(object):
    """查询类型"""
    DEFAULT = 0  # 默认
    MARGIN = 1  # Margin


class EntrustBS(object):
    """买卖方向"""
    BUY = "1"  # 多头开仓
    SELL = "2"  # 多头平仓
    SHORT_SELL = "3"  # 空头平仓
    SHORT_BUY = "4"  # 空头开仓


class EntrustType(object):
    """
    委托类型
    港股：'0'-竞价限价、'1'-竞价、'2'-增强限价盘、'3'-限价盘、'4'-特别限价盘、'6'-暗盘
    美股：'3'-限价盘、'5'-市价盘、'9'-冰山限价、'11'-隐藏限价
    A股：'3'-限价盘
    条件单：'31'-止盈限价单、'32'-止盈市价单(美股)、'33'-止损限价单、'34'-止损市价单(美股)、'35'-追踪止损限价单、'36'-追踪止损市价单(美股)
    """
    AUCTION_LIMIT = "0"  # 竞价限价
    AUCTION = "1"  # 竞价
    ENHANCED_LIMIT = "2"  # 增强限价盘
    LIMIT = "3"  # 限价盘
    SPECIAL_LIMIT = "4"  # 特别限价盘
    MARKET = "5"  # 市价盘
    DARK = "6"  # 暗盘
    ICEBERG_LIMIT = "9"  # 冰山限价
    HIDE_LIMIT = "11"  # 隐藏限价

    COND_STOP_PROFIT_POINT = "31"  # 止盈限价单
    COND_STOP_PROFIT_MARKET = "32"  # 止盈市价单
    COND_STOP_LOSS_POINT = "33"  # 止损限价单
    COND_STOP_LOSS_MARKET = "34"  # 止损市价单
    COND_TRACK_STOP_LOSS_POINT = "35"  # 追踪止损限价单
    COND_TRACK_STOP_LOSS_MARKET = "36"  # 追踪止损市价单


class SessionType(object):
    """"
    盘前盘后交易
    0:否 1:是 3:只支持盘中 5:港股支持盘中及暗盘 7:美股支持盘中及盘前盘后
    """
    GENERAL_ORDER_NO = "0"  # 否
    GENERAL_ORDER_YES = "1"  # 是

    COND_ORDER_DEFAULT = "3"  # 只支持盘中
    COND_ORDER_HK_DEFAULT_HIDDEN = "5"  # 港股支持盘中及暗盘
    COND_ORDER_US_DEFAULT_BEFOREAFTER = "7"  # 美股支持盘中及盘前盘后


class CondTrackType(object):
    """
    条件跟踪类型 1百分比、2价差、3价格
    """
    PERCENTAGE = "1"  # 百分比
    PRICE = "2"  # 价差
    FIX_PRICE = "3"  # 价格


class CondStatus(object):
    """
    条件单状态  1:待触发 2:已触发 3:暂停 4:已过期 5:已删除 6:错误 8:止盈止损单失效 9:除权除息失效
    """
    PENDING = 1  # 待触发
    FINISH = 2  # 已触发
    PAUSE = 3  # 暂停
    EXPIRE = 4  # 已过期
    DELETE = 5  # 已删除
    ERROR = 6  # 错误
    INVALID_PROFITLOSS = 8  # 止盈止损失效
    INVALID_DIVIDEND = 9  # 除权除息失效
    RECALL = 10  # 撤回


class EntrustEX(object):
    """交易所"""
    SMART = "SMART"
    AMEX = "AMEX"
    ARCA = "ARCA"
    BATS = "BATS"
    BEX = "BEX"
    BYX = "BYX"
    CBOE = "CBOE"
    CHX = "CHX"
    DRCTEDGE = "DRCTEDGE"
    EDGEA = "EDGEA"
    EDGX = "EDGX"
    IBKRTS = "IBKRTS"
    IEX = "IEX"
    ISE = "ISE"
    ISLAND = "ISLAND"
    LTSE = "LTSE"
    MEMX = "MEMX"
    NYSE = "NYSE"
    NYSENAT = "NYSENAT"
    PEARL = "PEARL"
    PHLX = "PHLX"
    PSX = "PSX"


class AlgoStrategyType(object):
    VWAP = "1"  # VWAP
    TWAP = "1001"  # TWAP
    ICE_BERG = "1002"  # ICE_BERG
    TPOV = "1003"  # TPOV
    INLINE = "1005"  # INLINE


class AlgoEntrustType(object):
    LIMIT = "1"  # 限价单
    MARKET = "2"  # 市价单


class AlgoActionType(object):
    START = "1"  # START
    STOP = "2"  # STOP
    SUSPEND = "3"  # SUSPEND
    RESUME = "4"  # RESUME


class AlgoStrategySensitivityType(object):
    NEUTRAL = "1"  # 中性
    AGGRESSIVE = "2"  # 主动
    PASSIVE = "3"  # 被动
