# -*- coding: utf-8 -*-


class CommonUrl(object):
    # HTTP协议前缀
    HTTP_PROTOCOL_PREFIX = "http://"

    # 冒号
    COLON = ":"

    # 查询汇率列表
    HS_QUERY_RATE_LIST = "/hs/rate/queryList"


class TradeUrl(object):
    # 交易登录
    TRADE_LOGIN_REQUEST_MSG_TYPE = "/trade/TradeLoginRequestMsgType"

    # 交易登出
    TRADE_LOGOUT_REQUEST_MSG_TYPE = "/trade/TradeLogoutRequestMsgType"

    # 查询客户资金信息
    TRADE_QUERY_MARGIN_FUND_INFO_REQUEST_MSG_TYPE = "/trade/TradeQueryMarginFundInfoRequestMsgType"

    # 查询持仓列表
    TRADE_QUERY_HOLDS_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryHoldsListRequestMsgType"

    # 查询最大可买
    TRADE_QUERY_BUY_AMOUNT_REQUEST_MSG_TYPE = "/trade/TradeQueryBuyAmountRequestMsgType"

    # 查询最大可卖
    TRADE_QUERY_SELL_AMOUNT_REQUEST_MSG_TYPE = "/trade/TradeQuerySellAmountRequestMsgType"

    # 查询当日资金流水
    TRADE_QUERY_REAL_FUND_JOUR_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryRealFundJourListRequestMsgType"

    # 查询历史资金流水
    TRADE_QUERY_HISTORY_FUND_JOUR_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryHistoryFundJourListRequestMsgType"

    # 期货-查询客户资金信息
    FUTURES_QUERY_FUND_INFO_REQUEST_MSG_TYPE = "/trade/FuturesQueryFundInfoRequestMsgType"

    # 期货-查询持仓列表
    FUTURES_QUERY_HOLDS_LIST_REQUEST_MSG_TYPE = "/trade/FuturesQueryHoldsListRequestMsgType"

    # 期货-查询最大可买可卖
    FUTURES_QUERY_MAX_BUY_SELL_AMOUNT_REQUEST_MSG_TYPE = "/trade/FuturesQueryMaxBuySellAmountRequestMsgType"

    # 期货-查询合约产品信息
    FUTURES_QUERY_PRODUCT_INFO_REQUEST_MSG_TYPE = "/trade/FuturesQueryProductInfoRequestMsgType"

    # 下单
    TRADE_ENTRUST_REQUEST_MSG_TYPE = "/trade/TradeEntrustRequestMsgType"

    # 撤单
    TRADE_CANCEL_ENTRUST_REQUEST_MSG_TYPE = "/trade/TradeCancelEntrustRequestMsgType"

    # 批量撤单
    TRADE_BATCH_CANCEL_ENTRUST_REQUEST_MSG_TYPE = "/trade/TradeBatchCancelEntrustRequestMsgType"

    # 改单
    TRADE_CHANGE_ENTRUST_REQUEST_MSG_TYPE = "/trade/TradeChangeEntrustRequestMsgType"

    # 查询最大可用资产
    TRADE_QUERY_MAX_AVAILABLE_ASSET_REQUEST_MSG_TYPE = "/trade/TradeQueryMaxAvailableAssetRequestMsgType"

    # 查询当日委托
    TRADE_QUERY_REAL_ENTRUST_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryRealEntrustListRequestMsgType"

    # 查询历史委托
    TRADE_QUERY_HISTORY_ENTRUST_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryHistoryEntrustListRequestMsgType"

    # 查询当日成交
    TRADE_QUERY_REAL_DELIVER_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryRealDeliverListRequestMsgType"

    # 查询历史成交
    TRADE_QUERY_HISTORY_DELIVER_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryHistoryDeliverListRequestMsgType"

    # 查询当日条件单
    TRADE_QUERY_REAL_COND_ORDER_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryRealCondOrderListRequestMsgType"

    # 查询历史条件单
    TRADE_QUERY_HISTORY_COND_ORDER_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryHistoryCondOrderListRequestMsgType"

    # 查询是否支持盘前盘后交易
    TRADE_QUERY_BEFORE_AND_AFTER_SUPPORT_REQUEST_MSG_TYPE = "/trade/TradeQueryBeforeAndAfterSupportRequestMsgType"

    # 查询股票沽空信息
    TRADE_QUERY_STOCK_SHORT_INFO_REQUEST_MSG_TYPE = "/trade/TradeQueryStockShortInfoRequestMsgType"

    # 查询股票融资融券数据
    TRADE_QUERY_MARGIN_FULL_INFO_REQUEST_MSG_TYPE = "/trade/TradeQueryMarginFullInfoRequestMsgType"

    # 期货-下单
    FUTURES_ENTRUST_REQUEST_MSG_TYPE = "/trade/FuturesEntrustRequestMsgType"

    # 期货-撤单
    FUTURES_CANCEL_ENTRUST_REQUEST_MSG_TYPE = "/trade/FuturesCancelEntrustRequestMsgType"

    # 期货-改单
    FUTURES_MODIFY_ENTRUST_REQUEST_MSG_TYPE = "/trade/FuturesModifyEntrustRequestMsgType"

    # 期货-查询当日委托
    FUTURES_QUERY_REAL_ENTRUST_LIST_REQUEST_MSG_TYPE = "/trade/FuturesQueryRealEntrustListRequestMsgType"

    # 期货-查询历史委托
    FUTURES_QUERY_HISTORY_ENTRUST_LIST_REQUEST_MSG_TYPE = "/trade/FuturesQueryHistoryEntrustListRequestMsgType"

    # 期货-查询当日成交
    FUTURES_QUERY_REAL_DELIVER_LIST_REQUEST_MSG_TYPE = "/trade/FuturesQueryRealDeliverListRequestMsgType"

    # 期货-查询历史成交
    FUTURES_QUERY_HISTORY_DELIVER_LIST_REQUEST_MSG_TYPE = "/trade/FuturesQueryHistoryDeliverListRequestMsgType"

    # 策略单-下单
    ALGO_ADD_ORDER_REQUEST_MSG_TYPE = "/trade/AlgoAddOrderRequestMsgType"

    # 策略单-撤销母单
    ALGO_CANCEL_ORDER_REQUEST_MSG_TYPE = "/trade/AlgoCancelOrderRequestMsgType"

    # 策略单-撤销子单
    ALGO_CANCEL_ENTRUST_REQUEST_MSG_TYPE = "/trade/AlgoCancelEntrustRequestMsgType"

    # 策略单-改单
    ALGO_CHANGE_ORDER_REQUEST_MSG_TYPE = "/trade/AlgoChangeOrderRequestMsgType"

    # 策略单-操作
    ALGO_ACTION_ORDER_REQUEST_MSG_TYPE = "/trade/AlgoActionOrderRequestMsgType"

    # 策略单-查询母单列表
    ALGO_QUERY_ORDER_LIST_REQUEST_MSG_TYPE = "/trade/AlgoQueryOrderListRequestMsgType"

    # 策略单-查询子单
    ALGO_QUERY_ENTRUST_ID_LIST_REQUEST_MSG_TYPE = "/trade/AlgoQueryEntrustIdListRequestMsgType"

    # 订阅交易推送
    TRADE_SUBSCRIBE_REQUEST_MSG_TYPE = "/trade/TradeSubscribeRequestMsgType"

    # 取消订阅交易推送
    TRADE_UNSUBSCRIBE_REQUEST_MSG_TYPE = "/trade/TradeUnsubscribeRequestMsgType"


class HqUrl(object):
    # 查询股票基础报价
    HQ_BASIC_QOT_REQUEST_MSG_TYPE = "/hq/HQBasicQotRequestMsgType"

    # 查询买卖经纪摆盘
    HQ_BROKER_REQUEST_MSG_TYPE = "/hq/HQBrokerRequestMsgType"

    # 查询买卖档
    HQ_ORDER_BOOK_REQUEST_MSG_TYPE = "/hq/HQOrderBookRequestMsgType"

    # 查询逐笔列表
    HQ_TICKER_REQUEST_MSG_TYPE = "/hq/HQTickerRequestMsgType"

    # 查询K线
    HQ_KL_REQUEST_MSG_TYPE = "/hq/HQKLRequestMsgType"

    # 查询分时
    HQ_TIME_SHARE_REQUEST_MSG_TYPE = "/hq/HQTimeShareRequestMsgType"

    # 查询期权链到期日列表
    HQ_US_OPTION_CHAIN_EXPIRE_DATE_REQUEST_MSG_TYPE = "/hq/HQUsOptionChainExpireDateRequestMsgType"

    # 查询期权链Code列表
    HQ_US_OPTION_CHAIN_CODE_REQUEST_MSG_TYPE = "/hq/HQUsOptionChainCodeRequestMsgType"

    # 行情订阅
    HQ_SUBSCRIBE_REQUEST_MSG_TYPE = "/hq/HQSubscribeRequestMsgType"

    # 行情取消订阅
    HQ_UNSUBSCRIBE_REQUEST_MSG_TYPE = "/hq/HQUnsubscribeRequestMsgType"
